#include <vdr/status.h>
#include "recdone.h"
#include "tools.h"

// --- cRecDoneTimerObj --------------------------------------------------------
class cRecDoneTimerObj : public cTimerObj {
public:
    int deviceNr;
    cRecDone* recDone;
public:
    cRecDoneTimerObj(cTimer* Timer, int DeviceNr) : cTimerObj(Timer), deviceNr(DeviceNr), recDone(NULL) {}
    ~cRecDoneTimerObj() { timer = NULL; recDone = NULL; } // do not delete anything!
};

class cRecStatusMonitor : public cStatus 
{
    cList<cRecDoneTimerObj> TimersRecording;
protected:
#if VDRVERSNUM >= 10338
    virtual void Recording(const cDevice *Device, const char *Name, const char*, bool On);
#else
    virtual void Recording(const cDevice *Device, const char* Name);
#endif
 public:
    cRecStatusMonitor();
    int TimerRecDevice(cTimer*);
};

extern cRecStatusMonitor* gl_recStatusMonitor;
